curl --request GET \
--url https://public-api.stora.co/2025-09/timeline/sources \
--header 'Authorization: Bearer <token>'{
"sources": [
{
"id": "tsrc_14b419f1096013f1",
"created_at": "2025-02-20T14:41:00Z",
"global": false,
"name": "My CRM",
"updated_at": "2025-02-22T14:41:00Z",
"website_url": "https://my-crm.example.com"
},
{
"id": "tsrc_24c519f1096013f2",
"created_at": "2025-02-19T14:41:00Z",
"global": true,
"name": "Messaging App",
"updated_at": "2025-02-22T14:41:00Z",
"website_url": "https://messagingapp.com"
}
],
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
],
"pagination": {
"count": 2,
"last": 1,
"limit": 50,
"next": null,
"page": 1,
"pages": 1,
"prev": null
}
}
}Retrieve a list of all sources (both global and operator-specific).
Required authorization scope: public.timeline_source:read
curl --request GET \
--url https://public-api.stora.co/2025-09/timeline/sources \
--header 'Authorization: Bearer <token>'{
"sources": [
{
"id": "tsrc_14b419f1096013f1",
"created_at": "2025-02-20T14:41:00Z",
"global": false,
"name": "My CRM",
"updated_at": "2025-02-22T14:41:00Z",
"website_url": "https://my-crm.example.com"
},
{
"id": "tsrc_24c519f1096013f2",
"created_at": "2025-02-19T14:41:00Z",
"global": true,
"name": "Messaging App",
"updated_at": "2025-02-22T14:41:00Z",
"website_url": "https://messagingapp.com"
}
],
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
],
"pagination": {
"count": 2,
"last": 1,
"limit": 50,
"next": null,
"page": 1,
"pages": 1,
"prev": null
}
}
}Bearer Token necessary to use API
Pagination: Page number
x >= 1Pagination: Limit number of items per page.
1 <= x <= 100Filters results to created after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Filters results to created before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Was this page helpful?